Emby and Mono

  • Directly from the Emby web page:
    Install Dependencies

    • mono 4.6.2 or above
    • sqlite3
    • ImageMagick (preferably Q8, without OpenMP, without HDRI)


    I will try your Docker suggestion soon.


    Thank you for your help.


  • Hi Jonsky,


    I tried to build ffmpegx by commenting out the if/fi package lines, and it failed miserably.
    Then I got caught up by other matters.


    If you explain me what you built and how you managed to build it, I might give it a try myself.


    Hi awiouy,
    I managed to build emby with all the options you used. Solution for my problem: the Raspberry Pi Userland is only built and not installed when using ./buildme and cross-compile. After installation it worked like a charm. So I have a ffmpeg including OpenMAX and MMAL, basically built like yours.
    Now the BUT:
    If I copy it into emby and try to play a movie I get this error: http://192.168.178.41:8096/emby/videos/00782fd93045aaeb6ba85c1015c17dae/hls1/mai - Pastebin.com
    The Lib libmmal_core.so is not found, which is right because it does not exist. How do I copy it from my UNIX system into LibreElec? /lib and /usr/lib are read-only. Or do I have to start a complete LibreElec IMX6-build and then it is automatically included in the dir?


    Thanks for your help, I think we're getting closer.

    • Official Post


    On RPi2 libmmal is found in /usr/lib.
    A solution to your problem is to build the lib and copy it to /storage/.kodi/addons/service.emby/lib (this allows to use vanilla LE)


  • On RPi2 libmmal is found in /usr/lib.
    A solution to your problem is to build the lib and copy it to /storage/.kodi/addons/service.emby/lib (this allows to use vanilla LE)


    Great I added the needed libs and at least I can stream movies when transcoding is disabled. If I enable OpenMAX I get: http://192.168.178.41:8096/emby/videos/00782fd93045aaeb6ba85c1015c17dae/hls1/mai - Pastebin.com
    The lib /opt/vc/lib/libopenmaxil.so looks like a hardcoded path that does not exist for me on imx6. Adding the lib manually to the path you suggested does not work.
    Are we in a dead-end here or is there a solution to get the lib to the correct path?


    edit: I suppose the hardcoded path is found in the omx.c line 144, I'll try to fix that.

    Edited once, last by Jonsky ().

    • Official Post

    Great I added the needed libs and at least I can stream movies when transcoding is disabled. If I enable OpenMAX I get: http://192.168.178.41:8096/emby/videos/00782fd93045aaeb6ba85c1015c17dae/hls1/mai - Pastebin.com
    The lib /opt/vc/lib/libopenmaxil.so looks like a hardcoded path that does not exist for me on imx6. Adding the lib manually to the path you suggested does not work.
    Are we in a dead-end here or is there a solution to get the lib to the correct path?


    Have you restarted Emby after you copied the lib?
    If yes, to fix we would have to check where in the LE source libmmal is copied to /usr/lib for RPi2, and reproduce for imx6, if possible.
    [hr]


    I have tried this, but current Emby crashes :(
    WebGrab+Plus seems to run correctly, though.
    I have to investigate...

  • Have you restarted Emby after you copied the lib?
    If yes, to fix we would have to check where in the LE source libmmal is copied to /usr/lib for RPi2, and reproduce for imx6, if possible.
    [hr]


    Hi,
    I think you missunderstood me. Your solution worked for the mmal-libraries. But NOT for the libopenmaxil.so, because the path seems to be hardcoded to /opt/vc/lib (as you can see in the omx.c in the ffmpeg source).
    I tried to change that in the ffmpeg source to /storage/.kodi/service.emby/lib and rebuilt it. This helped but transcoding still does not work. I'm doubting it is easily possible to port it to imx6 because it's really close to the hardware. I think we should stop this one here and accept that HW-Acceleration is only possible on the RPi3 for now. I might just get one and use it as a Emby-only server to transcode my media on the fly... Thanks a lot anyway, was fun to learn more about building addons!

  • Hey,
    I quit the iMX6-stuff and got another RPi3 to test it as a streaming server. Fresh install with 7.90.010. Setup went fine, but transcoding does not really work well.
    The performance does not allow me to stream a video at all, I'm trying to transcode a 1080p video to a 1 MBit stream (but 2Mbit or anything else doesn't work either). awiouy mentioned that this should work here: LibreELEC


    My emby-transcode log is here: http://192.168.178.71:8096/emby/Videos/d103172ecc62bc89c4b22a76b9577d8f/hls1/mai - Pastebin.com or here for another smaller file without the strange "not a single buf" errors: http://192.168.178.71:8096/emby/videos/a2a37813a1a86b3f22fd1c905067ffe3/hls1/mai - Pastebin.com
    OpenMAX is enabled and I restarted the RPi3 afterwards, I did not touch the other settings. Is there anything else you changed in the setup? It performance with 50 % of the power needed for a smooth playback...


    Streaming client is Kodi on a Windows PC or via Firefox (but this doesn't change anything).


    Do you have any ideas? Thanks a lot. :)

    Edited once, last by Jonsky ().

  • How to update Emby server?


    I see on Emby dashboard that

    Code
    Version 3.0.8500.0
    A new version of Emby Server is available!
    Version 3.1.5 is now available for download.


    Can I update it manually or it will only get updated with LibreELEC addons?


    Thanks for this addon. It's very convenient for sharing media library for my family.

    Edited once, last by pawnthep ().

  • Hello,


    I'm testing Emby in RPI 2 and Odroid C2, both have the same problem: resume is not working. here is my log

    Code
    http://pasted.co/4d36b3fd


    not matter what options I changed in Emby (server and Client), always are marked as "watched", any ideas¨?


    thanks in advanced

    • Official Post


    Got your Emby server running on my $40 Amlogic S905 Android box running LibreELEC. It runs, but the playback is too slow. Perhaps the problem is in the ffmpeg version.


    Thanks for you all your work.


    Video of Emby running on S905 box



    I did not implement hardware transcoding for S905 in ffmpegx, because I am not aware of any and I have no system to test.


    If you know of any hardware transcoding feature of S905, please let me know, and I will try to implement it.

  • Hello! Great to see Emby running within Libreelec, fantastic work.


    Now i use it on my Nuc with the Emby for Kodi Addon as my database, which is working without problems and is bringing my setup to "a higher level".
    Many thanks for that. But i have a few questions:


    Is it possible to update the server by myself, or must this be implemented in a updated addon?


    And where are the actors stored? I can´t find an "People" or "actors" folder.


    Jhag

    • Official Post


    You can update it manually, it was mentioned earlier in this thread.
    I have submitted a pull request to update to 3.2.8.

  • Hello,


    I successfully installed the Emby server and set it up through the web interface.


    A few questions:

    - How do I make Kodi use the Emby library instead of its own?

    - Are the .nfo files created by Kodi compatible with Emby? Seems like it fetches all info from the internet. I would mostly be interested in importing the played state.


    Thank you!

    • Official Post

    I have found this: GitHub - MediaBrowser/plugin.video.emby: Emby add-on for Kodi

    Maybe someone here knows better